PDF::Builder::Resource::CIDFont(3)

NAME
PDF::Builder::Resource::CIDFont - Base class for CID fonts

Inherits from PDF::Builder::Resource::BaseFont

METHODS

  new
    $font = PDF::Builder::Resource::CIDFont->new($pdf, $name)

    Returns a cid-font object, base class for all CID-based fonts.

  cidsByStr
    $cidstring = $font->cidsByStr($string)

    Returns the cid-string from string based on the font's encoding map.

  cidsByUtf
    $cidstring = $font->cidsByUtf($utf8string)

    Returns the CID-encoded string from utf8-string.